diff --git a/libkcal/vcalformat.cpp b/libkcal/vcalformat.cpp
index 973f8c227..62cbf4cb4 100644
--- a/libkcal/vcalformat.cpp
+++ b/libkcal/vcalformat.cpp
@@ -270,7 +270,7 @@ VObject *VCalFormat::eventToVTodo(const Todo *anEvent)
   if (!anEvent->description().isEmpty()) {
     VObject *d = addPropValue(vtodo, VCDescriptionProp,
                               anEvent->description().local8Bit());
-    if (anEvent->description().tqfind('\n') != -1)
+    if (anEvent->description().find('\n') != -1)
       addPropValue(d, VCEncodingProp, VCQuotedPrintableProp);
   }
 
@@ -530,7 +530,7 @@ VObject* VCalFormat::eventToVEvent(const Event *anEvent)
   if (!anEvent->description().isEmpty()) {
     VObject *d = addPropValue(vevent, VCDescriptionProp,
                               anEvent->description().local8Bit());
-    if (anEvent->description().tqfind('\n') != -1)
+    if (anEvent->description().find('\n') != -1)
       addPropValue(d, VCEncodingProp, VCQuotedPrintableProp);
   }
 
@@ -701,19 +701,19 @@ Todo *VCalFormat::VTodoToEvent(VObject *vtodo)
       deleteStr(s);
       tmpStr = tmpStr.simplifyWhiteSpace();
       int emailPos1, emailPos2;
-      if ((emailPos1 = tmpStr.tqfind('<')) > 0) {
+      if ((emailPos1 = tmpStr.find('<')) > 0) {
         // both email address and name
-        emailPos2 = tmpStr.tqfindRev('>');
+        emailPos2 = tmpStr.findRev('>');
         a = new Attendee(tmpStr.left(emailPos1 - 1),
                          tmpStr.mid(emailPos1 + 1,
                                     emailPos2 - (emailPos1 + 1)));
-      } else if (tmpStr.tqfind('@') > 0) {
+      } else if (tmpStr.find('@') > 0) {
         // just an email address
         a = new Attendee(0, tmpStr);
       } else {
         // just a name
         // WTF??? Replacing the spaces of a name and using this as email?
-        TQString email = tmpStr.tqreplace( ' ', '.' );
+        TQString email = tmpStr.replace( ' ', '.' );
         a = new Attendee(tmpStr,email);
       }
 
@@ -917,18 +917,18 @@ Event* VCalFormat::VEventToEvent(VObject *vevent)
       deleteStr(s);
       tmpStr = tmpStr.simplifyWhiteSpace();
       int emailPos1, emailPos2;
-      if ((emailPos1 = tmpStr.tqfind('<')) > 0) {
+      if ((emailPos1 = tmpStr.find('<')) > 0) {
         // both email address and name
-        emailPos2 = tmpStr.tqfindRev('>');
+        emailPos2 = tmpStr.findRev('>');
         a = new Attendee(tmpStr.left(emailPos1 - 1),
                          tmpStr.mid(emailPos1 + 1,
                                     emailPos2 - (emailPos1 + 1)));
-      } else if (tmpStr.tqfind('@') > 0) {
+      } else if (tmpStr.find('@') > 0) {
         // just an email address
         a = new Attendee(0, tmpStr);
       } else {
         // just a name
-        TQString email = tmpStr.tqreplace( ' ', '.' );
+        TQString email = tmpStr.replace( ' ', '.' );
         a = new Attendee(tmpStr,email);
       }
 
@@ -1012,8 +1012,8 @@ Event* VCalFormat::VEventToEvent(VObject *vevent)
 // kdDebug() << " It's a supported type " << endl;
 
       // Immediately after the type is the frequency
-      int index = tmpStr.tqfind(' ');
-      int last = tmpStr.tqfindRev(' ') + 1; // find last entry
+      int index = tmpStr.find(' ');
+      int last = tmpStr.findRev(' ') + 1; // find last entry
       int rFreq = tmpStr.mid(typelen, (index-1)).toInt();
       ++index; // advance to beginning of stuff after freq
 
@@ -1086,7 +1086,7 @@ Event* VCalFormat::VEventToEvent(VObject *vevent)
              else {
                // e.g. MD1 3 #0
                while (index < last) {
-                 int index2 = tmpStr.tqfind(' ', index);
+                 int index2 = tmpStr.find(' ', index);
                  short tmpDay = tmpStr.mid(index, (index2-index)).toShort();
                  index = index2-1;
                  if (tmpStr.mid(index, 1) == "-")
@@ -1108,7 +1108,7 @@ Event* VCalFormat::VEventToEvent(VObject *vevent)
              else {
                // e.g. YM1 3 #0
                while (index < last) {
-                 int index2 = tmpStr.tqfind(' ', index);
+                 int index2 = tmpStr.find(' ', index);
                  short tmpMonth = tmpStr.mid(index, (index2-index)).toShort();
                  index = index2 + 1;
                  anEvent->recurrence()->addYearlyMonth( tmpMonth );
@@ -1127,7 +1127,7 @@ Event* VCalFormat::VEventToEvent(VObject *vevent)
              else {
                // e.g. YD1 123 #0
                while (index < last) {
-                 int index2 = tmpStr.tqfind(' ', index);
+                 int index2 = tmpStr.find(' ', index);
                  short tmpDay = tmpStr.mid(index, (index2-index)).toShort();
                  index = index2+1;
                  anEvent->recurrence()->addYearlyDay( tmpDay );
@@ -1146,7 +1146,7 @@ Event* VCalFormat::VEventToEvent(VObject *vevent)
         int rDuration = tmpStr.mid(index, tmpStr.length()-index).toInt();
         if ( rDuration > 0 )
           anEvent->recurrence()->setDuration( rDuration );
-      } else if ( tmpStr.tqfind('T', index) != -1 ) {
+      } else if ( tmpStr.find('T', index) != -1 ) {
         TQDate rEndDate = (ISOToTQDateTime(tmpStr.mid(index, tmpStr.length()-index))).date();
         anEvent->recurrence()->setEndDateTime( rEndDate );
       }
diff --git a/libkdenetwork/libgpgme-copy/assuan/assuan-defs.h b/libkdenetwork/libgpgme-copy/assuan/assuan-defs.h
index 9ee417a92..fa04f0b29 100644
--- a/libkdenetwork/libgpgme-copy/assuan/assuan-defs.h
+++ b/libkdenetwork/libgpgme-copy/assuan/assuan-defs.h
@@ -310,7 +310,7 @@ char *stpcpy (char *dest, const char *src);
 #define setenv _assuan_setenv
 #define unsetenv _assuan_unsetenv
 #define clearenv _assuan_clearenv
-int setenv (const char *name, const char *value, int tqreplace);
+int setenv (const char *name, const char *value, int replace);
 #endif
 #ifndef HAVE_PUTC_UNLOCKED
 int putc_unlocked (int c, FILE *stream);
diff --git a/libkdenetwork/libgpgme-copy/assuan/assuan.h b/libkdenetwork/libgpgme-copy/assuan/assuan.h
index 3ae24248b..8d0a3960d 100644
--- a/libkdenetwork/libgpgme-copy/assuan/assuan.h
+++ b/libkdenetwork/libgpgme-copy/assuan/assuan.h
@@ -402,8 +402,8 @@ assuan_error_t assuan_set_okay_line (assuan_context_t ctx, const char *line);
 assuan_error_t assuan_write_status (assuan_context_t ctx,
                                     const char *keyword, const char *text);
 
-/* Negotiate a file descriptor.  If LINE tqcontains "FD=N", returns N
-   assuming a local file descriptor.  If LINE tqcontains "FD" reads a
+/* Negotiate a file descriptor.  If LINE contains "FD=N", returns N
+   assuming a local file descriptor.  If LINE contains "FD" reads a
    file descriptor via CTX and stores it in *RDF (the CTX must be
    capable of passing file descriptors).  */
 assuan_error_t assuan_command_parse_fd (assuan_context_t ctx, char *line,
diff --git a/libkdenetwork/libgpgme-copy/gpgme/ChangeLog b/libkdenetwork/libgpgme-copy/gpgme/ChangeLog
index 4985741db..4f1038fb3 100644
--- a/libkdenetwork/libgpgme-copy/gpgme/ChangeLog
+++ b/libkdenetwork/libgpgme-copy/gpgme/ChangeLog
@@ -362,7 +362,7 @@
 	to prototype.
 	* verify.c (parse_notation): Likewise for invocation.
 	* conversion.c (_gpgme_decode_percent_string): Likewise to
-	declaration.  If set, do not tqreplace '\0' characters with a
+	declaration.  If set, do not replace '\0' characters with a
 	printable string.
 	* gpgme.h (struct _gpgme_key_sig): New field notations.
 	* ops.h (_gpgme_parse_notation): New prototype.
diff --git a/libkdepim/addresseediffalgo.cpp b/libkdepim/addresseediffalgo.cpp
index 1de2dddcc..361ec631f 100644
--- a/libkdepim/addresseediffalgo.cpp
+++ b/libkdepim/addresseediffalgo.cpp
@@ -135,12 +135,12 @@ void AddresseeDiffAlgo::diffList( const TQString &id,
                                   const TQValueList<L> &left, const TQValueList<L> &right )
 {
   for ( uint i = 0; i < left.count(); ++i ) {
-    if ( right.tqfind( left[ i ] ) == right.end() )
+    if ( right.find( left[ i ] ) == right.end() )
       additionalLeftField( id, toString( left[ i ] ) );
   }
 
   for ( uint i = 0; i < right.count(); ++i ) {
-    if ( left.tqfind( right[ i ] ) == left.end() )
+    if ( left.find( right[ i ] ) == left.end() )
       additionalRightField( id, toString( right[ i ] ) );
   }
 }
diff --git a/libkdepim/addresseeemailselection.cpp b/libkdepim/addresseeemailselection.cpp
index 589e7e334..d0862fa27 100644
--- a/libkdepim/addresseeemailselection.cpp
+++ b/libkdepim/addresseeemailselection.cpp
@@ -150,7 +150,7 @@ bool AddresseeEmailSelection::itemMatches( const KABC::Addressee &addressee, uin
 bool AddresseeEmailSelection::itemEquals( const KABC::Addressee &addressee, uint index, const TQString &pattern ) const
 {
   return (pattern == addressee.formattedName() + " " + email( addressee, index )) ||
-         (addressee.emails().tqcontains( pattern ));
+         (addressee.emails().contains( pattern ));
 }
 
 TQString AddresseeEmailSelection::distributionListText( const KABC::DistributionList *distributionList ) const
diff --git a/libkdepim/addresseelineedit.cpp b/libkdepim/addresseelineedit.cpp
index 9e42085b5..63473a6f1 100644
--- a/libkdepim/addresseelineedit.cpp
+++ b/libkdepim/addresseelineedit.cpp
@@ -285,13 +285,13 @@ void AddresseeLineEdit::insert( const TQString &t )
     KURL url( newText );
     newText = url.path();
   }
-  else if ( newText.tqfind(" at ") != -1 ) {
+  else if ( newText.find(" at ") != -1 ) {
     // Anti-spam stuff
-    newText.tqreplace( " at ", "@" );
-    newText.tqreplace( " dot ", "." );
+    newText.replace( " at ", "@" );
+    newText.replace( " dot ", "." );
   }
-  else if ( newText.tqfind("(at)") != -1 ) {
-    newText.tqreplace( TQRegExp("\\s*\\(at\\)\\s*"), "@" );
+  else if ( newText.find("(at)") != -1 ) {
+    newText.replace( TQRegExp("\\s*\\(at\\)\\s*"), "@" );
   }
 
   TQString contents = text();
@@ -567,7 +567,7 @@ void AddresseeLineEdit::loadContacts()
       KABC::Resource::Iterator it;
       for ( it = resource->begin(); it != resource->end(); ++it ) {
         TQString uid = (*it).uid();
-        TQMap<TQString, TQString>::const_iterator wit = uidToResourceMap.tqfind( uid );
+        TQMap<TQString, TQString>::const_iterator wit = uidToResourceMap.find( uid );
         const TQString subresourceLabel = resabc->subresourceLabel( *wit );
         const int weight = ( wit != uidToResourceMap.end() ) ? resabc->subresourceCompletionWeight( *wit ) : 80;
         const int idx = addCompletionSource( subresourceLabel, weight );
@@ -641,7 +641,7 @@ void AddresseeLineEdit::addContact( const KABC::Addressee& addr, int weight, int
     const TQString givenName = addr.givenName();
     const TQString familyName= addr.familyName();
     const TQString nickName  = addr.nickName();
-    const TQString domain    = email.mid( email.tqfind( '@' ) + 1 );
+    const TQString domain    = email.mid( email.find( '@' ) + 1 );
     TQString fullEmail = addr.fullEmail( email );
     //TODO: let user decide what fields to use in lookup, e.g. company, city, ...
 
@@ -698,7 +698,7 @@ void AddresseeLineEdit::addContact( const KABC::Addressee& addr, int weight, int
      * We remove the <blank> in getAdjustedCompletionItems.
      */
     if ( isPrefEmail == prefEmailWeight )
-      fullEmail.tqreplace( " <", "  <" );
+      fullEmail.replace( " <", "  <" );
 
     addCompletionItem( fullEmail, weight + isPrefEmail, source, &keyWords );
     isPrefEmail = 0;
@@ -727,7 +727,7 @@ void AddresseeLineEdit::addContact( const KABC::Addressee& addr, int weight, int
 
     bool bDone = false;
     int i = -1;
-    while( ( i = name.tqfindRev(' ') ) > 1 && !bDone ) {
+    while( ( i = name.findRev(' ') ) > 1 && !bDone ) {
       TQString sLastName( name.mid( i+1 ) );
       if( ! sLastName.isEmpty() &&
             2 <= sLastName.length() &&   // last names must be at least 2 chars long
@@ -758,7 +758,7 @@ void AddresseeLineEdit::addCompletionItem( const TQString& string, int weight, i
 {
   // Check if there is an exact match for item already, and use the max weight if so.
   // Since there's no way to get the information from KCompletion, we have to keep our own TQMap
-  CompletionItemsMap::iterator it = s_completionItemMap->tqfind( string );
+  CompletionItemsMap::iterator it = s_completionItemMap->find( string );
   if ( it != s_completionItemMap->end() ) {
     weight = TQMAX( ( *it ).first, weight );
     ( *it ).first = weight;
@@ -798,7 +798,7 @@ void AddresseeLineEdit::startLoadingLDAPEntries()
   TQString s( *s_LDAPText );
   // TODO cache last?
   TQString prevAddr;
-  int n = s.tqfindRev( ',' );
+  int n = s.findRev( ',' );
   if ( n >= 0 ) {
     prevAddr = s.left( n + 1 ) + ' ';
     s = s.mid( n + 1, 255 ).stripWhiteSpace();
@@ -821,7 +821,7 @@ void AddresseeLineEdit::slotLDAPSearchData( const KPIM::LdapResultList& adrs )
     addr.setNameFromString( (*it).name );
     addr.setEmails( (*it).email );
 
-    if ( !s_ldapClientToCompletionSourceMap->tqcontains( (*it).clientNumber ) )
+    if ( !s_ldapClientToCompletionSourceMap->contains( (*it).clientNumber ) )
       updateLDAPWeights(); // we got results from a new source, so update the completion sources
 
     addContact( addr, (*it).completionWeight, (*s_ldapClientToCompletionSourceMap)[ (*it ).clientNumber ]  );
@@ -872,13 +872,13 @@ void AddresseeLineEdit::setCompletedItems( const TQStringList& items, bool autoS
         // item, if there is one
         TQListBoxItem* item = 0;
         if ( oldCurrentText.isEmpty()
-           || ( item = completionBox->tqfindItem( oldCurrentText ) ) == 0 ) {
+           || ( item = completionBox->findItem( oldCurrentText ) ) == 0 ) {
             item = completionBox->item( 1 );
         }
         if ( item )
         {
           if ( itemUnderMouse ) {
-              TQListBoxItem *newItemUnderMouse = completionBox->tqfindItem( oldTextUnderMouse );
+              TQListBoxItem *newItemUnderMouse = completionBox->findItem( oldTextUnderMouse );
               // if the mouse was over an item, before, but now that's elsewhere,
               // move the cursor, so folks don't accidently click the wrong item
               if ( newItemUnderMouse ) {
@@ -900,7 +900,7 @@ void AddresseeLineEdit::setCompletedItems( const TQStringList& items, bool autoS
 
         if ( autoSuggest )
         {
-            int index = items.first().tqfind( m_searchString );
+            int index = items.first().find( m_searchString );
             TQString newText = items.first().mid( index );
             setUserSelection(false);
             setCompletedText(newText,true);
@@ -1020,13 +1020,13 @@ KCompletion::CompOrder KPIM::AddresseeLineEdit::completionOrder()
 
 int KPIM::AddresseeLineEdit::addCompletionSource( const TQString &source, int weight )
 {
-  TQMap<TQString,int>::iterator it = s_completionSourceWeights->tqfind( source );
+  TQMap<TQString,int>::iterator it = s_completionSourceWeights->find( source );
   if ( it == s_completionSourceWeights->end() )
     s_completionSourceWeights->insert( source, weight );
   else
     (*s_completionSourceWeights)[source] = weight;
 
-  int sourceIndex = s_completionSources->tqfindIndex( source );
+  int sourceIndex = s_completionSources->findIndex( source );
   if ( sourceIndex == -1 ) {
     s_completionSources->append( source );
     return s_completionSources->size() - 1;
@@ -1228,7 +1228,7 @@ const TQStringList KPIM::AddresseeLineEdit::getAdjustedCompletionItems( bool ful
   TQMap<int, TQStringList> sections;
   TQStringList sortedItems;
   for ( TQStringList::Iterator it = items.begin(); it != items.end(); ++it, ++i ) {
-    CompletionItemsMap::const_iterator cit = s_completionItemMap->tqfind(*it);
+    CompletionItemsMap::const_iterator cit = s_completionItemMap->find(*it);
     if ( cit == s_completionItemMap->end() )
       continue;
     int idx = (*cit).second;
@@ -1236,14 +1236,14 @@ const TQStringList KPIM::AddresseeLineEdit::getAdjustedCompletionItems( bool ful
     if ( s_completion->order() == KCompletion::Weighted ) {
       if ( lastSourceIndex == -1 || lastSourceIndex != idx ) {
         const TQString sourceLabel(  (*s_completionSources)[idx] );
-        if ( sections.tqfind(idx) == sections.end() ) {
+        if ( sections.find(idx) == sections.end() ) {
           items.insert( it, sourceLabel );
         }
         lastSourceIndex = idx;
       }
       (*it) = (*it).prepend( s_completionItemIndentString );
       // remove preferred email sort <blank> added in  addContact()
-      (*it).tqreplace( "  <", " <" );
+      (*it).replace( "  <", " <" );
     }
     sections[idx].append( *it );
 
diff --git a/libkdepim/addresseeselector.cpp b/libkdepim/addresseeselector.cpp
index 70d587bae..d947baa1a 100644
--- a/libkdepim/addresseeselector.cpp
+++ b/libkdepim/addresseeselector.cpp
@@ -47,7 +47,7 @@ class AddresseeSelector::AddressBookManager
     void addAddressBook( const TQString &title, SelectionItem::List &list );
 
     void clear();
-    bool tqcontains( uint index, const SelectionItem& );
+    bool contains( uint index, const SelectionItem& );
 
   private:
     struct AddressBookEntry {
@@ -79,7 +79,7 @@ TQStringList AddresseeSelector::AddressBookManager::titles() const
 
 void AddresseeSelector::AddressBookManager::addResource( KABC::Resource *resource )
 {
-  if ( mResources.tqfind( resource ) == mResources.end() )
+  if ( mResources.find( resource ) == mResources.end() )
     mResources.append( resource );
 }
 
@@ -101,7 +101,7 @@ void AddresseeSelector::AddressBookManager::clear()
   mAddressBooks.clear();
 }
 
-bool AddresseeSelector::AddressBookManager::tqcontains( uint index, const SelectionItem &item )
+bool AddresseeSelector::AddressBookManager::contains( uint index, const SelectionItem &item )
 {
   if ( index == 0 ) // the 'all' entry
     return true;
@@ -362,7 +362,7 @@ void AddresseeSelector::updateAddresseeView()
 
   SelectionItem::List::Iterator it;
   for ( it = mSelectionItems.begin(); it != mSelectionItems.end(); ++it ) {
-    if ( mAddressBookManager->tqcontains( addressBookIndex, *it ) ) {
+    if ( mAddressBookManager->contains( addressBookIndex, *it ) ) {
       if ( (*it).distributionList() == 0 ) {
         if ( mAddresseeFilter->text().isEmpty() ||
              mSelection->itemMatches( (*it).addressee(), (*it).index(),
diff --git a/libkdepim/addresseeview.cpp b/libkdepim/addresseeview.cpp
index f291e4e1d..82f0305e1 100644
--- a/libkdepim/addresseeview.cpp
+++ b/libkdepim/addresseeview.cpp
@@ -238,11 +238,11 @@ TQString AddresseeView::vCardAsHTML( const KABC::Addressee& addr, ::KIMProxy *pr
           smsURL = TQString(" (<a href=\"sms:%1\">%2</a>)" ).tqarg( number ).tqarg( i18n( "SMS") );
 
         dynamicPart += rowFmtStr
-          .tqarg( (*phoneIt).typeLabel().tqreplace( " ", "&nbsp;" ) )
+          .tqarg( (*phoneIt).typeLabel().replace( " ", "&nbsp;" ) )
           .tqarg( TQString::tqfromLatin1( "<a href=\"%1\">%2</a>%3" ).tqarg( url ).tqarg( number ).tqarg( smsURL ) );
       } else {
         dynamicPart += rowFmtStr
-          .tqarg( (*phoneIt).typeLabel().tqreplace( " ", "&nbsp;" ) )
+          .tqarg( (*phoneIt).typeLabel().replace( " ", "&nbsp;" ) )
           .tqarg( number );
       }
     }
@@ -296,7 +296,7 @@ TQString AddresseeView::vCardAsHTML( const KABC::Addressee& addr, ::KIMProxy *pr
         TQString formattedAddress;
 
         formattedAddress = TQStyleSheet::escape( (*addrIt).formattedAddress().stripWhiteSpace() );
-        formattedAddress = formattedAddress.tqreplace( '\n', "<br>" );
+        formattedAddress = formattedAddress.replace( '\n', "<br>" );
 
         TQString link = "<a href=\"addr:" + (*addrIt).id() + "\">" +
                        formattedAddress + "</a>";
@@ -312,7 +312,7 @@ TQString AddresseeView::vCardAsHTML( const KABC::Addressee& addr, ::KIMProxy *pr
         }
       } else {
         TQString link = "<a href=\"addr:" + (*addrIt).id() + "\">" +
-                       (*addrIt).label().tqreplace( '\n', "<br>" ) + "</a>";
+                       (*addrIt).label().replace( '\n', "<br>" ) + "</a>";
 
         if ( linkMask & AddressLinks ) {
           dynamicPart += rowFmtStr
@@ -321,7 +321,7 @@ TQString AddresseeView::vCardAsHTML( const KABC::Addressee& addr, ::KIMProxy *pr
         } else {
           dynamicPart += rowFmtStr
             .tqarg( KABC::Address::typeLabel( (*addrIt).type() ) )
-            .tqarg( (*addrIt).label().tqreplace( '\n', "<br>" ) );
+            .tqarg( (*addrIt).label().replace( '\n', "<br>" ) );
         }
       }
     }
@@ -333,7 +333,7 @@ TQString AddresseeView::vCardAsHTML( const KABC::Addressee& addr, ::KIMProxy *pr
     // the data afterwards (keeps us safe from possible % signs
     // in either one).
     notes = TQStyleSheet::escape( addr.note() );
-    notes = rowFmtStr.tqarg( i18n( "Notes" ) ).tqarg( notes.tqreplace( '\n', "<br>" ) ) ;
+    notes = rowFmtStr.tqarg( i18n( "Notes" ) ).tqarg( notes.replace( '\n', "<br>" ) ) ;
   }
 
   TQString customData;
@@ -359,7 +359,7 @@ TQString AddresseeView::vCardAsHTML( const KABC::Addressee& addr, ::KIMProxy *pr
           customEntry.remove( "KADDRESSBOOK-X-" );
           customEntry.remove( "KADDRESSBOOK-" );
 
-          int pos = customEntry.tqfind( ':' );
+          int pos = customEntry.find( ':' );
           TQString key = customEntry.left( pos );
           const TQString value = customEntry.mid( pos + 1 );
 
@@ -367,7 +367,7 @@ TQString AddresseeView::vCardAsHTML( const KABC::Addressee& addr, ::KIMProxy *pr
           if ( key == "BlogFeed" || key == "IMAddress" )
             continue;
 
-          const TQMap<TQString, TQString>::ConstIterator keyIt = titleMap.tqfind( key );
+          const TQMap<TQString, TQString>::ConstIterator keyIt = titleMap.find( key );
           if ( keyIt != titleMap.end() )
             key = keyIt.data();
 
@@ -419,7 +419,7 @@ TQString AddresseeView::vCardAsHTML( const KABC::Addressee& addr, ::KIMProxy *pr
   // @STYLE@ - construct the string by parts, substituting in
   // the styles first. There are lots of appends, but we need to
   // do it this way to avoid cases where the substituted string
-  // tqcontains %1 and the like.
+  // contains %1 and the like.
   //
   TQString strAddr = TQString::tqfromLatin1(
     "<div align=\"center\">"
@@ -591,7 +591,7 @@ void AddresseeView::phoneNumberClicked( const TQString &number )
     return;
   }
 
-  commandLine.tqreplace( "%N", number );
+  commandLine.replace( "%N", number );
   KRun::runCommand( commandLine );
 }
 
@@ -623,8 +623,8 @@ void AddresseeView::sendSMS( const TQString &number, const TQString &text )
   *stream << text;
   file.close();
 
-  commandLine.tqreplace( "%N", number );
-  commandLine.tqreplace( "%F", file.name() );
+  commandLine.replace( "%N", number );
+  commandLine.replace( "%F", file.name() );
 
   KRun::runCommand( commandLine );
 }
@@ -640,7 +640,7 @@ void AddresseeView::faxNumberClicked( const TQString &number )
     return;
   }
 
-  commandLine.tqreplace( "%N", number );
+  commandLine.replace( "%N", number );
   KRun::runCommand( commandLine );
 }
 
diff --git a/libkdepim/addressesdialog.cpp b/libkdepim/addressesdialog.cpp
index e874ac017..d73ab63f8 100644
--- a/libkdepim/addressesdialog.cpp
+++ b/libkdepim/addressesdialog.cpp
@@ -176,7 +176,7 @@ AddresseeViewItem::email() const
 
 bool AddresseeViewItem::matches(const TQString& txt) const
 {
-    return d->address.realName().tqcontains(txt, false) || d->address.preferredEmail().tqcontains(txt, false);
+    return d->address.realName().contains(txt, false) || d->address.preferredEmail().contains(txt, false);
 }
 
 void AddresseeViewItem::setSelected(bool selected)
@@ -402,7 +402,7 @@ AddressesDialog::allToAddressesNoDuplicates()  const
     TQValueList<KPIM::DistributionList::Entry>::ConstIterator eit;
     for( eit = eList.begin(); eit != eList.end(); ++eit ) {
       KABC::Addressee a = (*eit).addressee;
-      if ( !a.preferredEmail().isEmpty() && aList.tqfind( a ) == aList.end() ) {
+      if ( !a.preferredEmail().isEmpty() && aList.find( a ) == aList.end() ) {
           aList.append( a ) ;
       }
     }
@@ -415,7 +415,7 @@ AddressesDialog::allToAddressesNoDuplicates()  const
     TQValueList<KABC::DistributionList::Entry>::ConstIterator eit;
     for( eit = eList.begin(); eit != eList.end(); ++eit ) {
       KABC::Addressee a = (*eit).addressee;
-      if ( !a.preferredEmail().isEmpty() && aList.tqfind( a ) == aList.end() ) {
+      if ( !a.preferredEmail().isEmpty() && aList.find( a ) == aList.end() ) {
           aList.append( a ) ;
       }
     }
@@ -678,7 +678,7 @@ AddressesDialog::addAddresseesToSelected( AddresseeViewItem *tqparent,
     AddresseeViewItem* address = itr.current();
     ++itr;
 
-    if (selectedToAvailableMapping.tqfind(address) != 0)
+    if (selectedToAvailableMapping.find(address) != 0)
     {
       continue;
     }
@@ -1043,11 +1043,11 @@ AddressesDialog::filterChanged( const TQString& txt )
         }
         p2 = static_cast<AddresseeViewItem*>( p2->nextSibling() );
       }
-      if ( !pcount && !p->text( 0 ).tqcontains( txt, false ) ) {
+      if ( !pcount && !p->text( 0 ).contains( txt, false ) ) {
         p->setVisible( false );
       }
       distlistgroupVisible += pcount;
-      if ( p->text( 0 ).tqcontains( txt, false ) ) {
+      if ( p->text( 0 ).contains( txt, false ) ) {
         distlistgroupVisible++;
       }
     }
diff --git a/libkdepim/calendardiffalgo.cpp b/libkdepim/calendardiffalgo.cpp
index dc22fd30e..d1eb29b32 100644
--- a/libkdepim/calendardiffalgo.cpp
+++ b/libkdepim/calendardiffalgo.cpp
@@ -202,12 +202,12 @@ void CalendarDiffAlgo::diffList( const TQString &id,
                                  const TQValueList<L> &left, const TQValueList<L> &right )
 {
   for ( uint i = 0; i < left.count(); ++i ) {
-    if ( right.tqfind( left[ i ] ) == right.end() )
+    if ( right.find( left[ i ] ) == right.end() )
       additionalLeftField( id, toString( left[ i ] ) );
   }
 
   for ( uint i = 0; i < right.count(); ++i ) {
-    if ( left.tqfind( right[ i ] ) == left.end() )
+    if ( left.find( right[ i ] ) == left.end() )
       additionalRightField( id, toString( right[ i ] ) );
   }
 }
diff --git a/libkdepim/categoryselectdialog.cpp b/libkdepim/categoryselectdialog.cpp
index 982e11517..5b39139e4 100644
--- a/libkdepim/categoryselectdialog.cpp
+++ b/libkdepim/categoryselectdialog.cpp
@@ -58,7 +58,7 @@ void CategorySelectDialog::setCategories( const TQStringList &categoryList )
   TQStringList::ConstIterator it;
 
   for ( it = categoryList.begin(); it != categoryList.end(); ++it )
-    if ( mPrefs->mCustomCategories.tqfind( *it ) == mPrefs->mCustomCategories.end() )
+    if ( mPrefs->mCustomCategories.find( *it ) == mPrefs->mCustomCategories.end() )
       mPrefs->mCustomCategories.append( *it );
 
   for ( it = mPrefs->mCustomCategories.begin();
diff --git a/libkdepim/designerfields.cpp b/libkdepim/designerfields.cpp
index 31a3b7f8a..e1f767998 100644
--- a/libkdepim/designerfields.cpp
+++ b/libkdepim/designerfields.cpp
@@ -78,7 +78,7 @@ void DesignerFields::initGUI( const TQString &uiFile )
                << "KDatePicker";
 
   while ( it.current() ) {
-    if ( allowedTypes.tqcontains( it.current()->className() ) ) {
+    if ( allowedTypes.contains( it.current()->className() ) ) {
       TQString name = it.current()->name();
       if ( name.startsWith( "X_" ) ) {
         name = name.mid( 2 );
@@ -174,7 +174,7 @@ void DesignerFields::load( DesignerFields::Storage *storage )
   for ( it2 = keys.begin(); it2 != keys.end(); ++it2 ) {
     TQString value = storage->read( *it2 );
 
-    TQMap<TQString, TQWidget *>::ConstIterator it = mWidgets.tqfind( *it2 );
+    TQMap<TQString, TQWidget *>::ConstIterator it = mWidgets.find( *it2 );
     if ( it != mWidgets.end() ) {
       if ( it.data()->inherits( TQLINEEDIT_OBJECT_NAME_STRING ) ) {
         TQLineEdit *wdg = static_cast<TQLineEdit*>( it.data() );
@@ -244,7 +244,7 @@ void DesignerFields::setReadOnly( bool readOnly )
 {
   TQMap<TQString, TQWidget*>::Iterator it;
   for ( it = mWidgets.begin(); it != mWidgets.end(); ++it )
-    if ( mDisabledWidgets.tqfind( it.data() ) == mDisabledWidgets.end() )
+    if ( mDisabledWidgets.find( it.data() ) == mDisabledWidgets.end() )
       it.data()->setEnabled( !readOnly );
 }
 
diff --git a/libkdepim/diffalgo.cpp b/libkdepim/diffalgo.cpp
index 428316568..21c476861 100644
--- a/libkdepim/diffalgo.cpp
+++ b/libkdepim/diffalgo.cpp
@@ -75,7 +75,7 @@ void DiffAlgo::conflictField( const TQString &id, const TQString &leftValue,
 
 void DiffAlgo::addDisplay( DiffAlgoDisplay *display )
 {
-  if ( mDisplays.tqfind( display ) == mDisplays.end() )
+  if ( mDisplays.find( display ) == mDisplays.end() )
     mDisplays.append( display );
 }
 
diff --git a/libkdepim/kabcresourcecached.cpp b/libkdepim/kabcresourcecached.cpp
index 7e6842bfb..d46156f6d 100644
--- a/libkdepim/kabcresourcecached.cpp
+++ b/libkdepim/kabcresourcecached.cpp
@@ -165,8 +165,8 @@ void ResourceCached::slotKABCSave()
 
 void ResourceCached::insertAddressee( const Addressee &addr )
 {
-  if ( !mAddrMap.tqcontains( addr.uid() ) ) { // new contact
-    if ( mDeletedAddressees.tqcontains( addr.uid() ) ) {
+  if ( !mAddrMap.contains( addr.uid() ) ) { // new contact
+    if ( mDeletedAddressees.contains( addr.uid() ) ) {
       // it was first removed, then added, so it's an update...
       mDeletedAddressees.remove( addr.uid() );
 
@@ -178,7 +178,7 @@ void ResourceCached::insertAddressee( const Addressee &addr )
     mAddrMap.insert( addr.uid(), addr );
     mAddedAddressees.insert( addr.uid(), addr );
   } else {
-    KABC::Addressee oldAddressee = mAddrMap.tqfind( addr.uid() ).data();
+    KABC::Addressee oldAddressee = mAddrMap.find( addr.uid() ).data();
     if ( oldAddressee != addr ) {
       mAddrMap.remove( addr.uid() );
       mAddrMap.insert( addr.uid(), addr );
@@ -189,12 +189,12 @@ void ResourceCached::insertAddressee( const Addressee &addr )
 
 void ResourceCached::removeAddressee( const Addressee &addr )
 {
-  if ( mAddedAddressees.tqcontains( addr.uid() ) ) {
+  if ( mAddedAddressees.contains( addr.uid() ) ) {
     mAddedAddressees.remove( addr.uid() );
     return;
   }
 
-  if ( mDeletedAddressees.tqfind( addr.uid() ) == mDeletedAddressees.end() )
+  if ( mDeletedAddressees.find( addr.uid() ) == mDeletedAddressees.end() )
     mDeletedAddressees.insert( addr.uid(), addr );
 
   mAddrMap.remove( addr.uid() );
